Name:          box2d
Version:       2.4.1
Release:       1mamba
Summary:       A 2D physics engine for games
Group:         Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://box2d.org/
Source:        https://github.com/erincatto/box2d.git/v%{version}/box2d-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Box2D is a 2D physics engine for games.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A 2D physics engine for games

%description -n lib%{name}
Box2D is a 2D physics engine for games.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libbox2d.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/box2d
%{_includedir}/box2d/*.h
%{_libdir}/libbox2d.so
%dir %{_libdir}/cmake/box2d
%{_libdir}/cmake/box2d/box2d*.cmake
%doc README.md


%changelog
* Sat Jan 16 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.1-1mamba
- package created using the webbuild interface
